## com.baidubce.services.vod.model
Class GenerateMediaIdResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.vod.model.GenerateMediaIdResponse

    public class GenerateMediaIdResponse

extends AbstractBceResponse

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`GenerateMediaIdResponse()`

Method Summary
`String` `getMediaId()`
`String` `getSourceBucket()`
`String` `getSourceKey()`
`void` `setMediaId(String mediaId)`
`void` `setSourceBucket(String sourceBucket)`
`void` `setSourceKey(String sourceKey)`
`String` `toString()`

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenerateMediaIdResponse

    public GenerateMediaIdResponse()

Method Detail

### getMediaId

    public String getMediaId()

### setMediaId

    public void setMediaId(String mediaId)

### getSourceKey

    public String getSourceKey()

### setSourceKey

    public void setSourceKey(String sourceKey)

### getSourceBucket

    public String getSourceBucket()

### setSourceBucket

    public void setSourceBucket(String sourceBucket)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.